<?php include("style.php"); 
if($_SESSION["smartshipcloud-login-id"]==""){
	die('<meta http-equiv="refresh" content="0; url=index.php">');
} else {
	echo'
		<div style="width:100%;overflow-x:hidden;">
			<div class="animated '; if($_GET[search]==""){echo'bounceInLeft';} echo'" align="center" style="width:30%;float:left;">
				<div id="addNumber-div" style="width:95%;" '; if($_POST["func"]!="addNumber"){echo'';} echo'>
					';
					if($_POST["func"]=="addNumber"){
						if($_POST["ziel"] == "" or $_POST["versendet"]!="on"){
							echo'<b>Nicht alle Pflichtfelder ausgef&uuml;llt.</b>';
						} else {
							$ziel = str_replace("\n","<br>",$_POST["ziel"]);
							$ziel = explode("<br>",$ziel);
							$ziel1 = $ziel[0];
							$ziel2 = $ziel[1];
							$ziel3 = $ziel[2];
							$ziel4 = $ziel[3];
							
							$i = 0;
							while ($i < 50){
								$ziel1length = strlen($ziel1) - 1;
								if($ziel1[$i]!=" " and $ziel1[$i]!="" and $ziel1[$i]!="-" and $ziel1[$i]!="."){
									if($i < $ziel1length){
										if(ctype_upper($ziel1[$i])==true){
											$ziel1[$i] = "X";
										} else {
											$ziel1[$i] = "x";
										}
									} else {
										$ziel1[$i]="";
									}
								}
								$i = $i + 1;
							}
							
							$i = 0;
							while ($i < 50){
								$ziel2length = strlen($ziel2) - 1;
								if($ziel2[$i]!=" " and $ziel2[$i]!="" and $ziel2[$i]!="-" and $ziel2[$i]!="."){
									if($i < $ziel2length){
										if(ctype_upper($ziel2[$i])==true){
											$ziel2[$i] = "X";
										} else {
											$ziel2[$i] = "x";
										}
									} else {
										$ziel2[$i]="";
									}
								}
								$i = $i + 1;
							}
							
							if($ziel4 !=""){
								$i = 0;
								while ($i < 50){
									$ziel3length = strlen($ziel3) - 1;
									if($ziel3[$i]!=" " and $ziel3[$i]!="" and $ziel3[$i]!="-" and $ziel3[$i]!="."){
										if($i < $ziel3length){
											if(ctype_upper($ziel3[$i])==true){
												$ziel3[$i] = "X";
											} else {
												$ziel3[$i] = "x";
											}
										} else {
											$ziel3[$i]="";
										}
									}
									$i = $i + 1;
								}
							}
							if($ziel4!=""){$ziel4 = '<br>'.$ziel4.'';}
							if($ziel1!="" and strlen($ziel1) > 1){$ziel1 = ''.$ziel1.'<br>';}
							$land = explode("-",$_POST["land"]);
							$ziel =''.$ziel1.''.$ziel2.'<br>'.$ziel3.''.$ziel4.'<br>'.$land[1].'';
							$ziel = htmlentities($ziel);
							$ziel = str_replace("&lt;br&gt;","<br>",$ziel);
							
							$alphabet = array("1"=>"A","2"=>"B","3"=>"C","4"=>"D","5"=>"E","6"=>"F","7"=>"G","8"=>"H","9"=>"I","10"=>"J","11"=>"K","12"=>"L","13"=>"N","14"=>"M","15"=>"O","16"=>"P","17"=>"Q","18"=>"R","19"=>"S","20"=>"T","21"=>"U","22"=>"V","23"=>"W","24"=>"X","25"=>"Y","26"=>"Z");
							$zufall = rand(1,26);
							$trackingnummerVorkennung1 = $alphabet[$zufall];
							$zufall = rand(1,26);
							$trackingnummerVorkennung2 = $alphabet[$zufall];
							$trackingnummerLandkennung = $land[0];
							//$trackingnummerzahl = rand(1000000000000,9999999999999);
							$trackingnummerzahl1 = rand(1000000,9999999);
							$trackingnummerzahl2 = rand(100000,999999);
							$trackingnummerzahl = $trackingnummerzahl1.$trackingnummerzahl2;
							
							$trackingnummer = ''.$trackingnummerVorkennung1.''.$trackingnummerVorkennung2.''.$trackingnummerzahl.''.$trackingnummerLandkennung.'';
							
							$anzahlNummern = 0;
							$sql = 'SELECT * FROM smartshipcloud_tn WHERE id_login="'.$ausgabelogin[id].'" AND monat="'.date("m-Y").'"';
							foreach ($pdo->query($sql) as $ausgabe) {
								$anzahlNummern = $anzahlNummern + 1;
							}
							
							if($ausgabelogin[nummern]==0 or $anzahlNummern < $ausgabelogin[nummern]){
								$statement = $pdo->prepare('INSERT INTO smartshipcloud_tn (id_login, nummer, ziel, datum, monat) VALUES ("'.$ausgabelogin[id].'","'.$trackingnummer.'","'.$ziel.'","'.date("d.m.Y").'","'.date("m-Y").'")');
								$statement->execute(array());  
								die('<meta http-equiv="refresh" content="0; url=login_tn.php?success=addNumber">');
							} else {
								echo'<font color="red"><b>Keine Trackingnummern mehr verf&uuml;gbar!</b><br>
								'.$anzahlNummern.'/'.$ausgabelogin[nummern].' diesen Monat erstellt.
								</font>';
							}
						}
					}
					echo'
					<form method="post" action="login_tn.php"><input type="hidden" name="func" value="addNumber">
					<br><br>
					<textarea name="ziel" rows="3" placeholder="Zieladresse*" style="width:100%;text-align:center;">'.$_POST["ziel"].'</textarea><br>
					<select name="land" style="width:100%;text-align:center;">
						<option value="DE-Germany" selected>Germany/Deutschland</option>
					</select><br>
					<input type="checkbox" name="versendet"> Ich best&auml;tige, dass ich dieses Paket/diesen Brief per Post versenden werde.*
					<br><br>
					<font size="2">* Dieses Feld muss ausgef&uuml;llt werden</font><br>
					<input type="submit" class="button" value="hinzuf&uuml;gen" style="font-weight:bold;">
					<br><br>
					</form>';
					echo'
				</div>
			</div>
			<div class="animated bounceInRight" style="width:70%;float:right;">
				<form method="get" action="login_tn.php">
				<input type="text" name="search" placeholder="PLZ/Trackingnummer/Datum/..." style="width:300px;text-align:center;" value="'; if($_GET[search]!=date("m-Y")){echo $_GET[search];} echo'"><input type="submit" class="button" value="suchen" style="font-weight:bold;background-color:#008369;border:solid white 1px;">
				';
				if($_GET[search]==date("m-Y")){
					echo'<input type="button" class="button" value="Alle anzeigen" onclick="window.location.href=\'?search=\'">';
				} else {
					echo'<input type="button" class="button" value="diesen Monat anzeigen" onclick="window.location.href=\'?search='.date("m-Y").'\'">';
				}
				echo'
				</form>
				<div style="width:95%;height:100%;overflow-y:scroll;">
				<table align="center">
				<tr>
				<td><b>Trackingnummer:</b></td>
				<td></td>
				<td><b>Ziel:</b></td>
				<td></td>
				<td><b>Absendedatum:</b></td>
				<td></td>
				<td><b>Anzahl Verfolgungen/<br>letzte Verfolgung:</b></td>
				<td></td>
				</tr>
				';
				$suche = "";
				if($_GET[func]=="delNumber"){
					$statement = $pdo->prepare('DELETE FROM smartshipcloud_tn WHERE BINARY id = "'.$_GET[id].'" AND id_login="'.$ausgabelogin[id].'"');
					$statement->execute(array());  
					die('<meta http-equiv="refresh" content="0; url=login_tn.php?search='.$_GET[search].'">');
				}
				if($_GET[search]!=""){
					$suche = 'AND (datum LIKE "%'.$_GET[search].'%" OR nummer LIKE "%'.$_GET[search].'%" OR ziel LIKE "%'.$_GET[search].'%" OR monat = "'.$_GET[search].'")';
					if($_GET[search]!=date("m-Y")){
						echo'<b>Filter:</b> suche nach <i>'.$_GET[search].'</i>';
					} else {
						$anzahlNummern = 0;
						$sql = 'SELECT * FROM smartshipcloud_tn WHERE id_login="'.$ausgabelogin[id].'" AND monat="'.date("m-Y").'"';
						foreach ($pdo->query($sql) as $ausgabe) {
							$anzahlNummern = $anzahlNummern + 1;
						}
						echo'<font color="#ffb500"><b>Diesen Monat:</b> ['.$anzahlNummern.'/<b>'; if($ausgabelogin[nummern]=="0"){echo'&infin;';}else{echo $ausgabelogin[nummern];} echo'</b>]</font>';
					}
				}
				$sql = 'SELECT * FROM smartshipcloud_tn WHERE id_login="'.$_SESSION["smartshipcloud-login-id"].'" '.$suche.' ORDER BY id DESC';
				foreach ($pdo->query($sql) as $ausgabe) {
					echo '
						<tr valign="top">
						<td>'.$ausgabe[nummer].'</td>
						<td>-</td>
						<td>'.$ausgabe[ziel].'</td>
						<td>-</td>
						<td>'.$ausgabe[datum].'</td>
						<td>-</td>
						<td><b>'.$ausgabe[anzahlVerfolgungen].'</b>/'.$ausgabe[letzteVerfolgung].'</td>
						<td><input type="button" class="button" style="background-color:red;" value="l&ouml;schen" onclick="klappen(\'delNumber-div-'.$ausgabe[id].'\');" hidden>
						<div id="delNumber-div-'.$ausgabe[id].'" style="position:absolute;background-color:#eeeeee;box-shadow: 5px 5px 5px hsla(0,0%,20%,0.5),-5px -5px 5px hsla(0,0%,20%,0.5);" hidden>
							Sicher?<br>
							<input type="button" class="button" value="Nein, nichts tun." onclick="klappen(\'delNumber-div-'.$ausgabe[id].'\');">
							<input type="button" class="button" value="endg&uuml;ltig l&ouml;schen" onclick="window.location.href=\'?func=delNumber&id='.$ausgabe[id].'&search='.$_GET[search].'\'">
						</div></td>
						</tr>
					';
				}
				echo'
					</table>
					</div>
			</div>
		</div>
	';
}
include("style2.php"); ?>